/* $Id: gqueue_top.c 712 2006-07-27 22:32:39Z bruce $ */
#include "gqueue.h"

/** Return the address of first (least recently pushed) element in the
 * queue. */
void* gqueue_top(const struct gqueue* q)
{
  return (q->head == 0) ? 0 : q->head->data;
}
